// if desktop is locked, save current state and unlock
var was_locked = false;
if (locked) {
    was_locked = true
    locked = false
}

// remove all panels from desktop
pIds = panelIds;
for (i = 0; i < pIds.length; ++i) {
    p = panelById(pIds[i]);
    p.remove();
}

var panel = new Panel("panel");
panel.location = "bottom";
launcher = panel.addWidget("launcher");
launcher.globalShortcut = "Alt+F1"
launcher.writeConfig("Share", "false");
launcher.writeConfig("icon", "start-here-kanotix");
launcher.reloadConfig();
panel.addWidget("showdesktop");

dolphinIcon = panel.addWidget("icon");
dolphinIcon.writeConfig("Url", "file:///usr/share/applications/kde4/dolphin.desktop");
dolphinIcon.reloadConfig();

iceweaselIcon = panel.addWidget("icon");
iceweaselIcon.writeConfig("Url", "file:///usr/share/applications/iceweasel.desktop");
iceweaselIcon.reloadConfig();

konsoleIcon = panel.addWidget("icon");
konsoleIcon.writeConfig("Url", "file:///usr/share/applications/kde4/konsole.desktop");
konsoleIcon.reloadConfig();

panel.addWidget("pager");
panel.addWidget("tasks");

systray = panel.addWidget("systemtray");
i = 0;
if (hasBattery) {
    systray.currentConfigGroup = new Array("Applets", ++i);
    systray.writeConfig("plugin", "battery");
}
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "notifier");

systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "org.kde.networkmanagement");

clock = panel.addWidget("digital-clock");
clock.writeConfig("showDate", "true");

// lock again, if it was locked before
if (was_locked) {
    locked = true
}
